TransactionStats (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class TransactionStats

- java.lang.Object
- - com.sleepycat.je.TransactionStats

- All Implemented Interfaces:
    Serializable

      public class TransactionStats
      extends Object
      implements Serializable

  Transaction statistics for a database environment.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TransactionStats.Active` The Active class represents an active transaction.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionStats.Active[]` | `getActiveTxns()` Return the array of active transactions.
    `long` | `getNAborts()` The number of transactions that have aborted.
    `int` | `getNActive()` The number of transactions that are currently active.
    `long` | `getNBegins()` The number of transactions that have begun.
    `long` | `getNCommits()` The number of transactions that have committed.
    `long` | `getNXAAborts()` The number of XA transactions that have aborted.
    `long` | `getNXACommits()` The number of XA transactions that have committed.
    `long` | `getNXAPrepares()` The number of XA transactions that have been prepared.
    `String` | `toString()`
    `String` | `toStringVerbose()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getActiveTxns

          public TransactionStats.Active[] getActiveTxns()

      Return the array of active transactions.
      Returns:
        The array of active transactions.

    - #### getNAborts

          public long getNAborts()

      The number of transactions that have aborted.

    - #### getNXAAborts

          public long getNXAAborts()

      The number of XA transactions that have aborted.

    - #### getNXAPrepares

          public long getNXAPrepares()

      The number of XA transactions that have been prepared.

    - #### getNActive

          public int getNActive()

      The number of transactions that are currently active.

    - #### getNBegins

          public long getNBegins()

      The number of transactions that have begun.

    - #### getNCommits

          public long getNCommits()

      The number of transactions that have committed.

    - #### getNXACommits

          public long getNXACommits()

      The number of XA transactions that have committed.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toStringVerbose

          public String toStringVerbose()

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.